Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

evelinealbers
Community profile evelinealbers Level 1
Job title here
Location here
4 BADGES
Level 1

Level 1

Learn more
Joined the community 26-05-2017 4:04:52 AM
Offline
Top badges earned by evelinealbers
Customize the badges you want to showcase on your profile
How to add a new Experience Fragment Template
Avatar
Give Back
Level 1
evelinealbers
Level 1

Likes

0 likes

Total Posts

3 posts

Correct reply

1 solution
Top badges earned
Give Back
Ignite 1
Validate 1
Affirm 1
View profile
evelinealbers
- Adobe Experience Manager
Currently I'm running AEM6.4 and when copying the we-retail version of an empty experience fragment template-type and the web variation template, I don't see the variations itself when selection this template in the component itself.I don't exactly know what the proper way is to new the experience fragment template to your own project. I'm working on a nonsamplecontent AEM, so i'm using the https://github.com/Adobe-Marketing-Cloud/aem-sample-we-retail​ to copy the code from.So can anyone tell th...

Views

344

Likes

0

Replies

1
Re: AEM 6.3 JUnit test AemContext issue
Avatar
Give Back
Level 1
evelinealbers
Level 1

Likes

0 likes

Total Posts

3 posts

Correct reply

1 solution
Top badges earned
Give Back
Ignite 1
Validate 1
Affirm 1
View profile
evelinealbers
- Adobe Experience Manager
Using the versions I already had and the Maven Archetype 11 fixes the issue (Archetype 10 gives the same errors). I have put dependencies in the order its in there and then put all my additional dependencies after that. I didn't have to change the versions of any of my dependencies. (see my question for all the versions for AEM6.3) org.osgi osgi.core org.osgi osgi.cmpn org.osgi osgi.annotation org.slf4j slf4j-api javax.jcr jcr javax.servlet servlet-api com.adobe.aem uber-jar apis ...

Views

1.5K

Likes

0

Replies

0
AEM 6.3 JUnit test AemContext issue
Avatar
Give Back
Level 1
evelinealbers
Level 1

Likes

0 likes

Total Posts

3 posts

Correct reply

1 solution
Top badges earned
Give Back
Ignite 1
Validate 1
Affirm 1
View profile
evelinealbers
- Adobe Experience Manager
Hi,I have updated my project from AEM6.2 to AEM6.3, and almost everything works except for the unit tests using the io.wcm.testing.mock.aem.junit.AemContext.@Rulepublic final AemContext context = new AemContext(ResourceResolverType.JCR_MOCK);I tried to match the dependencies of the AEM WCM Core project​ and the one mentioned in the blog here​ as the issues mentioned there, I'm also experiencing.I have also tried changing the order of the dependencies, but then NoSuchMethodError is presenting for1.10.19-->...

Views

4.3K

Likes

0

Replies

3